Copyright: Copyright ©1996, Global Majic Software, Inc.
Citation: Copyright ©1996, Global Majic Software, Inc.


ASP
ASSOCIATION OF SHAREWARE PROFESSIONALS (ASP) OMBUDSMAN STATEMENT

Global Majic Software, Inc. is a member of the Association of Shareware Professionals (ASP). ASP wants to make sure that the shareware principle works for you. If you are unable to resolve a shareware-related problem with Global Majic Software, Inc. by contacting them directly, ASP may be able to help. The ASP Ombudsman can help you resolve a dispute or problem with an ASP member, but does not provide technical support for members' products.

Please write to the ASP Ombudsman at:

545 Grover Road

Muskegon, MI 49442-9427 USA

FAX 616-788-2765

or send a CompuServe message via CompuServe Mail to:

ASP Ombudsman 70007,3536


AutoRedraw
AUTOREDRAW PROPERTY

Description

Determines whether the control is redraw manually or automatically.

Usage

[form.]control.AutoRedraw[ = {TRUE|FALSE} ]

Setting

The property settings are:

Setting	Description

TRUE	Automatic (default) - The operating system will redraw the control when it has time.

FALSE	Manual - The user is responsible for all redraw commands.

Remarks

If AutoRedraw=TRUE, then the control will be redrawn after any property is changed.  If several properties are being changed rapidly, then the control may seem slow and/or may not update when desired.  In this case, it may be wise to set AutoRedraw=FALSE and issue a Redraw command after all the desired property changes are made.

Related Property

Redraw

Data Type

Integer (Boolean)


BackColor
BACKCOLOR PROPERTY

Description

Determines the background color of the control.  It is ignored if BackPicture is set.

Usage

[form.]control.BackColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.

Data Type

Long


BackPicture
BACKPICTURE PROPERTY

Description

Determines the graphic to be displayed in the background of the control.

Usage

[form.]control.BackPicture[ = picture ]

Setting

The BackgroundPicture property settings are:

Setting	Description

(none)	No picture is displayed.

(bitmap)	At design time, specify the bitmap filename to be displayed.  At run-time, specify the bitmap using Visual Basic's LoadPicture (or comparable) function.

Remarks

When setting the picture at design-time, the picture will be saved with the form and will be compiled into the executable.

Data Type

Picture


BandColor
BANDCOLOR PROPERTY

Description

Determines the color of the band currently selected by BandID.

Usage

[form.]control.BandColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.  See the example for more information on setting band properties.

Related Properties

BandID, BandInner, BandOuter, BandPicture, Bands, BandScaleID, BandShape, BandStart, BandStop and BandStyle

Data Type

Long


BandID
BANDID PROPERTY

Description

Assigns a unique ID to each band.  This property must be set before any other band property (except Bands).  The total number of bands is determined by the Bands property and BandID has valid values from 0 to Bands-1.

Usage

[form.]control.BandID[ = integer ]

Remarks

The number of Bands must be set before this property can be set.  See the example for more information on setting band properties.

Related Properties

BandColor, BandInner, BandOuter, BandPicture, Bands, BandScaleID, BandShape, BandStart, BandStop and BandStyle

Data Type

Integer


BandInner
BANDINNER PROPERTY

BANDOUTER PROPERTY

Description

Determines the inner and outer extents of the band currently selected by BandID.  If Orientation is horizontal these values are measured from top to bottom.  Otherwise they are measured from left to right.  These properties are based on a unitless scale and typically have values between 0.0 and 1.0.

Usage

[form.]control.BandInner[ = single ]

[form.]control.BandOuter[ = single ]

Remarks

The inner value should be less than the outer value.  See the example for more information on setting band properties.

Related Properties

BandColor, BandID, BandPicture, Bands, BandScaleID, BandShape, BandStart, BandStop and BandStyle

Data Type

Single


BandPicture
BANDPICTURE PROPERTY

Description

Determines the graphic to be displayed in the band area (defined by BandInner, BandOuter, BandStart and BandStop) for the band currently selected by BandID.

Usage

[form.]control.BandPicture[ = picture ]

Setting

The BandPicture property settings are:

Setting	Description

(none)	No picture is displayed.

(bitmap)	At design time, specify the bitmap filename to be displayed.  At run-time, specify the bitmap using Visual Basic's LoadPicture (or comparable) function.

Remarks

When setting the picture at design-time, the picture(s) will be saved with the form and will be compiled into the executable.  See the example for more information on setting band properties.

Related Properties

BandColor, BandID, BandInner, BandOuter, Bands, BandScaleID, BandShape, BandStart, BandStop and BandStyle

Data Type

Picture


BandScaleID
BANDSCALEID PROPERTY

Description

Determines the scale (designated by ScaleID) on which the band currently selected by BandID is based.  The BandStart and BandStop properties must fall within the range defined by ScaleMax and ScaleMin.

Usage

[form.]control.BandScaleID[ = integer ]

Remarks

See the example for more information on setting band properties.

Related Properties

BandColor, BandID, BandInner, BandOuter, BandPicture, Bands, BandShape, BandStart, BandStop and BandStyle

Data Type

Integer


BandShape
BANDSHAPE PROPERTY

Description

Determines the shape of a user defined band.  This property only applies when BandStyle is set to "User Defined" and defines a polygon made from a list of x,y coordinate pairs.  The shape is defined using a coordinate system in which (0,0) is located at the upper, left corner of the control.

Usage

[form.]control.BandShape[ = string ]

Example

CNTRL1.BandShape = "625,500,   625,125,   750,125,   500,0,   250,125,   375,125,   375,500"

The following image displays this shape polygon defined in a coordinate system with origin at (0,0) and (1000,1000) extents.

Related Properties

BandColor, BandID, BandInner, BandOuter, BandPicture, Bands, BandScaleID, BandStart, BandStop and BandStyle

Data Type

String


BandStart
BANDSTART PROPERTY

BANDSTOP PROPERTY

Description

Determines the start and stop values for the band currently selected by BandID.  These values are numbers between ScaleMin and ScaleMax for the scale referenced by BandScaleID.

Usage

[form.]control.BandStart[ = single ]

[form.]control.BandStop[ = single ]

Remarks

The start value should be less than the stop value.  See the example for more information on setting band properties.

Related Properties

BandColor, BandID, BandInner, BandOuter, BandPicture, Bands, BandScaleID, BandShape and BandStyle

Data Type

Single


BandStyle
BANDSTYLE PROPERTY

Description

Determines the style of the band currently selected by BandID.

Usage

[form.]control.BandStyle[ = integer ]

Setting

The BandStyle property settings are:

Setting 	Description

0	Rectangle

1	Ellipse

2	Thermometer

3	Tank

4	User-Defined through BandShape

Remarks

See the example for more information on setting band properties.

Related Properties

BandColor, BandID, BandInner, BandOuter, BandPicture, Bands, BandScaleID, BandShape, BandStart and BandStop

Data Type

Integer (Enumerated)


Bands
BANDS PROPERTY

Description

Determines the number of bands displayed on the control.  This property must be set before all other band properties are entered (see example).  The BandID property is used to select the band to which band properties apply.

Usage

[form.]control.Bands[ = integer ]

Remarks

See the example for more information on setting band properties.

Related Properties

BandColor, BandID, BandInner, BandOuter, BandPicture, BandScaleID, BandShape, BandStart, BandStop and BandStyle

Data Type

Integer


BevelInner
BEVELINNER PROPERTY

BEVELOUTER PROPERTY

Description

Sets or returns the inner or outer shadow styles of the control.

Usage

[form.]control.BevelInner[ = integer ]

[form.]control.BevelOuter[ = integer ]

Setting

The property settings are:

Setting 	Description

0	None

1	Raised

2	Inset

Remarks

These properties have no affect when BevelWidth=0.

Related Properties

BevelWidth and BorderWidth

Data Type

Integer (Enumerated)


BevelWidth
BEVELWIDTH PROPERTY

Description

Sets or returns the shadow sizes of the inner and outer bevels of the control.

Usage

[form.]control.BevelWidth[ = integer ]

Related Properties

BevelInner, BevelOuter and BorderWidth

Data Type

Integer


BorderWidth
BORDERWIDTH PROPERTY

Description

Sets or returns the border size between the inner and outer bevels of the control.

Usage

[form.]control.BorderWidth[ = integer ]

Related Properties

BevelInner, BevelOuter and BevelWidth

Data Type

Integer


Caption
CAPTION PROPERTY

Description

Determines the text displayed on the control for the caption currently selected by CaptionID.  The number of captions displayed is set by the Captions property.

Usage

[form.]control.Caption[ = string ]

Remarks

See the example for more information on setting caption properties.

Related Properties

CaptionColor, CaptionFontID, CaptionID, Captions, CaptionX and CaptionY

Data Type

String


CaptionColor
CAPTIONCOLOR PROPERTY

Description

Determines the text color for the caption currently selected by CaptionID.

Usage

[form.]control.CaptionColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.  See the example for more information on setting caption properties.

Related Properties

Caption, CaptionFontID, CaptionID, Captions, CaptionX and CaptionY

Data Type

Long


CaptionFontID
CAPTIONFONTID PROPERTY

Description

Determines which font (designated by FontID) is used for the caption currently selected by CaptionID.

Usage

[form.]control.CaptionFontID[ = integer ]

Remarks

See the example for more information on setting caption properties.

Related Properties

Caption, CaptionColor, CaptionID, Captions, CaptionX and CaptionY

Data Type

Integer


CaptionID
CAPTIONID PROPERTY

Description

Assigns a unique ID to each caption.  This property must be set before any other caption property (except Captions).  The total number of captions is determined by the Captions property and CaptionID has valid values from 0 to Captions-1.

Usage

[form.]control.CaptionID[ = integer ]

Remarks

The number of Captions must be set before this property can be set.  See the example for more information on setting caption properties.

Related Properties

Caption, CaptionColor, CaptionFontID, Captions, CaptionX and CaptionY

Data Type

Integer


CaptionX
CAPTIONX PROPERTY

CAPTIONY PROPERTY

Description

Determines the vertical and horizontal position of the caption currently selected by the CaptionID property.  These properties are based on a unitless scale and typically have values between -1.0 and 1.0 where a value of 0.0 is located at the center of the control.

Usage

[form.]control.CaptionX[ = single ]

[form.]control.CaptionY[ = single ]

Remarks

See the example for more information on setting caption properties.

Related Properties

Caption, CaptionColor, CaptionFontID, CaptionID and Captions

Data Type

Single


Captions
CAPTIONS PROPERTY

Description

Determines the number of captions displayed on the control.  This property must be set before all other caption properties are entered (see example).  The CaptionID property is used to select the caption to which caption properties apply.

Usage

[form.]control.Captions[ = integer ]

Remarks

See the example for more information on setting caption properties.

Related Properties

Caption, CaptionColor, CaptionFontID, CaptionID, CaptionX and CaptionY

Data Type

Integer


Change Event


Contents

Global Majic Software, Inc.

LGuage Control

Properties	Events	Product Support	Copyright

Description:

The generic linear gauge control is a highly customizable gauge or slider control.  Properties are provided to modify the gauge's scales, tics, pointers, bands, captions, border and background.  The mouse can optionally be used to change pointer values.

Scales:

Scales are used to define the extent of the units displayed by the gauge, the location of the gauge center, and the gauge's start and stop positions.  Multiple scales are supported.

Pointers:

Pointers can be displayed in a variety of shapes and sizes.  Properties are used to modify the pointers's style, size, width, color and associated scale.  Multiple pointers can be placed on a single gauge.

Tics:

Tics are used to mark intervals on the gauge's face.  Properties are used to set the tic's style, start-stop values, interval, inner-outer positions, width, color, label positions, and associated scale.

Bands:

Bands are used for aesthetics as well as indicators of operating ranges.  Properties are provided to modify the band's start-stop values, inner-outer positions, color, and associated scale.  Multiple bands can be placed on a single gauge.

Captions:

The gauge can be embellished with multiple captions to indicate the type of measurement being displayed, units used or any other informative or decorative labeling.


Copyright
COPYRIGHT INFORMATION

All Global Majic Software, Inc. software programs, shareware, and freeware are protected under the copyright laws of the United States and foreign countries. All rights are reserved to Global Majic Software, Inc. Violations of copyright laws are investigated by the FBI. Distribution of Global Majic Software, Inc. products implies that you have read and agreed to the distribution terms described below:

INTENT

Global Majic Software, Inc. seeks to distribute its shareware as widely as possible. However, we want the end-users of our software to be properly informed that it is shareware.

DISTRIBUTOR INFORMATION AND LICENSE INFORMATION

The license information and distribution requirements in this document supersede all previous license statements. To continue to distribute Global Majic Software, Inc. products, you must adhere to the licensing and distribution requirements below.

If you are a mail order or BBS-type distributor of shareware software, you may distribute these programs as they are, without any changes other than expanding files contained in the ZIP archives. However, you have the responsibility to check from time to time, at a minimum interval of 6 months, for new versions of these programs, and to update your copies in a timely manner. Global Majic Software, Inc. will gladly send you a diskette containing the current versions on request.

You must fully identify all Global Majic Software, Inc. programs in your advertising, by the program's full name and version, and indicate the registration fee in the program description. The words Global Majic Software, Inc. must appear in all program descriptions.

SHAREWARE DISCLOSURE REQUIRED

All advertising and packaging information including references to Global Majic Software, Inc. products must contain a statement explaining the shareware concept.  Specifically, that statement must explain that shareware software MUST be registered by the user, after a trial period, by paying a registration fee, and that all monies paid for the shareware version are duplication and distribution charges only. All such statements must be clearly displayed in a position where they are likely to be read by potential customers.

RETAIL RACK AND CD-ROM DISTRIBUTION

If you distribute shareware in a retail setting in racks, store displays, vending machines, at computer fairs, or in any way other than normal BBS or catalog-based sales, you must contact Global Majic Software, Inc. for permission to distribute any Global Majic Software, Inc. program. Rack or retail-like sales require a special distribution license, normally requiring royalties paid to Global Majic Software, Inc. If you distribute shareware on CD-ROM disks, you must also contact Global Majic Software, Inc. before including any Global Majic Software, Inc. shareware programs on a CD-ROM disk. Normally, permission is granted, but current versions must be included and all old versions of any Global Majic Software, Inc. program removed from any CD-ROM disk containing Global Majic Software, Inc. products.


Events
Events:

Change

Click

DragDrop

DragOver

GotFocus

KeyDown

KeyPress

KeyUp

LostFocus

MouseDown

MouseMove

MouseUp

Slide


Example
EXAMPLE - HOW TO BUILD A LINEAR GAUGE

General Information

This example will explain the process of building a linear gauge.  The  final product is shown [image].  The purpose of this example is to show how several of the control's properties relate to each other.  For example, it depicts how to use the Tic properties to setup multiple tic sets (with or without labels) to obtain a desired appearance.  In general, the steps for setting up tic marks are as follows: 1) set the number of tic sets (LGauge1.Tics=2); 2) set the unique id for the tic set (LGauge1.TicID=0); 3) set the other tic properties (LGauge1.TicScaleID=1); and 4) change TicID and repeat step 3 if desired.  This same process is used to set the properties for all the items contained in the control (scales, bands, captions, fonts, etc.).  For simplicity, the steps for setting up this example are written out in Visual Basic script.  However, the values may also be assigned using the property list at design time.

Sample Code

'setup scales

LGauge1.Scales = 2

LGauge1.ScaleID = 0

LGauge1.ScalePositionStart = 0.1

LGauge1.ScalePositionStop = 0.9

LGauge1.ScaleMin = 0

LGauge1.ScaleMax = 100

LGauge1.ScaleDirection = 0

LGauge1.ScaleID = 1

LGauge1.ScalePositionStart = 0.1

LGauge1.ScalePositionStop = 0.9

LGauge1.ScaleMin = 0

LGauge1.ScaleMax = 10

LGauge1.ScaleDirection = 0

'setup fonts

LGauge1.Fonts = 3

LGauge1.FontID = 0

LGauge1.FontBold = True

LGauge1.FontName = "Arial"

LGauge1.FontSize = 12

LGauge1.FontID = 1

LGauge1.FontBold = False

LGauge1.FontItalic = True

LGauge1.FontName = "Arial"

LGauge1.FontSize = 12

LGauge1.FontID = 2

LGauge1.FontBold = False

LGauge1.FontItalic = False

LGauge1.FontName = "Arial"

LGauge1.FontSize = 10

'setup bands

LGauge1.Bands = 4

LGauge1.BandID = 0

LGauge1.BandScaleID = 0

LGauge1.BandStyle = 0

LGauge1.BandInner = 0.5

LGauge1.BandOuter = 0.6

LGauge1.BandStart = 0

LGauge1.BandStop = 60

LGauge1.BandColor = &HC000&

LGauge1.BandID = 1

LGauge1.BandScaleID = 0

LGauge1.BandStyle = 0

LGauge1.BandInner = 0.5

LGauge1.BandOuter = 0.6

LGauge1.BandStart = 60

LGauge1.BandStop = 75

LGauge1.BandColor = &HFFFF&

LGauge1.BandID = 2

LGauge1.BandScaleID = 0

LGauge1.BandStyle = 0

LGauge1.BandInner = 0.5

LGauge1.BandOuter = 0.6

LGauge1.BandStart = 75

LGauge1.BandStop = 100

LGauge1.BandColor = &HFF&

LGauge1.BandID = 3

LGauge1.BandScaleID = 1

LGauge1.BandStyle = 0

LGauge1.BandInner = 0.4

LGauge1.BandOuter = 0.5

LGauge1.BandStart = 0

LGauge1.BandStop = 10

LGauge1.BandColor = &HFF0000

'setup tic marks

LGauge1.Tics = 3

LGauge1.TicID = 0

LGauge1.TicScaleID = 1

LGauge1.TicStyle = 0

LGauge1.TicWidth = 0.01

LGauge1.TicColor = &H0&

LGauge1.TicDelta = 2

LGauge1.TicStart = 0

LGauge1.TicStop = 10

LGauge1.TicInner = 0.4

LGauge1.TicOuter = 0.5

LGauge1.TicLabelOn = True

LGauge1.TicLabelPosition = 0.35

LGauge1.TicFontID = 2

LGauge1.TicID = 1

LGauge1.TicScaleID = 1

LGauge1.TicStyle = 0

LGauge1.TicColor = &HFFFFFF

LGauge1.TicWidth = 0.005

LGauge1.TicDelta = 2

LGauge1.TicStart = 1

LGauge1.TicStop = 9

LGauge1.TicInner = 0.4

LGauge1.TicOuter = 0.45

LGauge1.TicID = 2

LGauge1.TicScaleID = 0

LGauge1.TicStyle = 1

LGauge1.TicWidth = 0.03

LGauge1.TicColor = &H0&

LGauge1.TicDelta = 10

LGauge1.TicStart = 0

LGauge1.TicStop = 100

LGauge1.TicInner = 0.58

LGauge1.TicOuter = 0.63

LGauge1.TicLabelOn = True

LGauge1.TicLabelPosition = 0.67

LGauge1.TicFontID = 2

'setup pointers

LGauge1.Pointers = 2

LGauge1.PointerID = 0

LGauge1.PointerScaleID = 0

LGauge1.PointerStyle = 4

LGauge1.PointerColor = &H404040

LGauge1.PointerType = 0

LGauge1.PointerInner = 0.7

LGauge1.PointerOuter = 0.8

LGauge1.PointerValue = 45.5

LGauge1.PointerID = 1

LGauge1.PointerScaleID = 1

LGauge1.PointerStyle = 1

LGauge1.PointerType = 1

LGauge1.PointerMouseControl = True

LGauge1.PointerInner = 0.25

LGauge1.PointerOuter = 0.3

LGauge1.PointerStart = 2

LGauge1.PointerStop = 6

'setup captions

LGauge1.Captions = 3

LGauge1.CaptionID = 0

LGauge1.CaptionFontID = 1

LGauge1.Caption = "Range Indicator"

LGauge1.CaptionX = 0.5

LGauge1.CaptionY = 0.175

LGauge1.CaptionID = 1

LGauge1.CaptionFontID = 1

LGauge1.Caption = "Standard Pointer"

LGauge1.CaptionX = 0.5

LGauge1.CaptionY = 0.9

LGauge1.CaptionID = 2

LGauge1.CaptionFontID = 0

LGauge1.Caption = "Sample Linear Gauge"

LGauge1.CaptionX = 0.5

LGauge1.CaptionY = 0.05


FontDialog
FONTDIALOG PROPERTY

Description

Selecting this property (in design mode) launches the font dialog box shown below.  This dialog sets the font properties for the font currently selected by FontID.

Usage

This property can only be used at design time.  Use standard font properties to set fonts in code.

Related Properties

FontBold, FontID, FontItalic, FontName, Fonts, FontSize, FontStrike and FontUnder

Data Type

N/A


FontID
FONTID PROPERTY

Description

This property allows the control to display several different fonts by assigning a unique ID to each font.  The total number of fonts is determined by the Fonts property and FontID has valid values from 0 to Fonts-1.

Usage

[form.]control.FontID[ = integer ]

Remarks

The desired font is obtained by selecting the corresponding FontID (through the use of CaptionFontID for example).  See the example for more information on setting font properties.

Related Properties

CaptionFontID, FontBold, FontDialog, FontItalic, FontName, Fonts, FontSize, FontStrike, FontUnder, PointerDigitalFontID and TicFontID

Data Type

Integer


Fonts
FONTS PROPERTY

Description

Determines the number of fonts displayed on the control.  This property must be set before all other font properties are entered (see example).  The FontID property is used to select the font to which other font properties apply.

Usage

[form.]control.Fonts[ = integer ]

Remarks

See the example for more information on setting font properties.

Related Properties

CaptionFontID, FontBold, FontDialog, FontID, FontItalic, FontName, FontSize, FontStrike, FontUnder, PointerDigitalFontID and TicFontID

Data Type

Integer


Orientation
ORIENTATION PROPERTY

Description

Determines whether the control is displayed horizontally or vertically.

Usage

[form.]control.Orientation[ = integer ]

Setting

The property settings are:

Setting	Description

0	Horizontal

1	Vertical

Data Type

Integer


PointerColor
POINTERCOLOR PROPERTY

Description

Determines the color for the pointer currently selected by PointerID.

Usage

[form.]control.PointerColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.  See the example for more information on setting pointer properties.

Related Properties

PointerDigital, PointerDigitalColor, PointerDigitalDecimals, PointerDigitalFontID, PointerDigitalX, PointerDigitalY, PointerID, PointerInner, PointerMouseControl, PointerOuter, PointerPicture, Pointers, PointerScaleID, PointerShape, PointerSnap, PointerSnapIncrement, PointerStart, PointerStop, PointerStyle, PointerType, PointerValue and PointerWidth

Data Type

Long


PointerDigital
POINTERDIGITAL PROPERTY

Description

Enables or disables the digital display of the PointerValue for the pointer currently selected by PointerID.

Usage

[form.]control.PointerDigital[ = {TRUE|FALSE} ]

Setting

The property settings are:

Setting 	Description

TRUE	A digital readout of the current PointerValue is displayed.

FALSE	No digital display.

Remarks

See the example for more information on setting pointer properties.

Related Properties

PointerColor, PointerDigitalColor, PointerDigitalDecimals, PointerDigitalFontID, PointerDigitalX, PointerDigitalY, PointerID, PointerInner, PointerMouseControl, PointerOuter, PointerPicture, Pointers, PointerScaleID, PointerShape, PointerSnap, PointerSnapIncrement, PointerStart, PointerStop, PointerStyle, PointerType, PointerValue and PointerWidth

Data Type

Integer (Boolean)


PointerDigitalColor
POINTERDIGITALCOLOR PROPERTY

Description

Determines the color of the digital display (if PointerDigital=TRUE) for the pointer currently selected by PointerID.

Usage

[form.]control.PointerDigitalColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.  See the example for more information on setting pointer properties.

Related Properties

PointerColor, PointerDigital, PointerDigitalDecimals, PointerDigitalFontID, PointerDigitalX, PointerDigitalY, PointerID, PointerInner, PointerMouseControl, PointerOuter, PointerPicture, Pointers, PointerScaleID, PointerShape, PointerSnap, PointerSnapIncrement, PointerStart, PointerStop, PointerStyle, PointerType, PointerValue and PointerWidth

Data Type

Long


PointerDigitalDecimals
POINTERDIGITALDECIMALS PROPERTY

Description

Determines how many places (to the right of the decimal) are displayed in the digital display (if PointerDigital=TRUE) for the pointer currently selected by PointerID.

Usage

[form.]control.PointerDigitalDecimals[ = integer ]

Remarks

See the example for more information on setting pointer properties.

Related Properties

PointerColor, PointerDigital, PointerDigitalColor, PointerDigitalFontID, PointerDigitalX, PointerDigitalY, PointerID, PointerInner, PointerMouseControl, PointerOuter, PointerPicture, Pointers, PointerScaleID, PointerShape, PointerSnap, PointerSnapIncrement, PointerStart, PointerStop, PointerStyle, PointerType, PointerValue and PointerWidth

Data Type

Integer


PointerDigitalFontID
POINTERDIGITALFONTID PROPERTY

Description

Determines which font (designated by FontID) is used in the digital display (if PointerDigital=TRUE) for the pointer currently selected by PointerID.

Usage

[form.]control.PointerDigitalFontID[ = integer ]

Remarks

See the example for more information on setting pointer properties.

Related Properties

PointerColor, PointerDigital, PointerDigitalColor, PointerDigitalDecimals, PointerDigitalX, PointerDigitalY, PointerID, PointerInner, PointerMouseControl, PointerOuter, PointerPicture, Pointers, PointerScaleID, PointerShape, PointerSnap, PointerSnapIncrement, PointerStart, PointerStop, PointerStyle, PointerType, PointerValue and PointerWidth

Data Type

Integer


PointerDigitalX
POINTERDIGITALX PROPERTY

POINTERDIGITALY PROPERTY

Description

Determines the vertical and horizontal positions of the digital display (if PointerDigital=TRUE) for the pointer currently selected by PointerID.  These properties are based on a unitless scale and typically have values between 0 and 1.0.

Usage

[form.]control.PointerDigitalX[ = single ]

[form.]control.PointerDigitalY[ = single ]

Remarks

See the example for more information on setting pointer properties.

Related Properties

PointerColor, PointerDigital, PointerDigitalColor, PointerDigitalDecimals, PointerDigitalFontID, PointerID, PointerInner, PointerMouseControl, PointerOuter, PointerPicture, Pointers, PointerScaleID, PointerShape, PointerSnap, PointerSnapIncrement, PointerStart, PointerStop, PointerStyle, PointerType, PointerValue and PointerWidth

Data Type

Single


PointerID
POINTERID PROPERTY

Description

Assigns a unique ID to each pointer.  This property must be set before any other pointer property (except Pointers).  The total number of pointers is determined by the Pointers property and PointerID has valid values from 0 to Pointers-1.

Usage

[form.]control.PointerID[ = integer ]

Remarks

The number of Pointers must be set before this property can be set.  See the example for more information on setting pointer properties.

Related Properties

PointerColor, PointerDigital, PointerDigitalColor, PointerDigitalDecimals, PointerDigitalFontID, PointerDigitalX, PointerDigitalY, PointerInner, PointerMouseControl, PointerOuter, PointerPicture, Pointers, PointerScaleID, PointerShape, PointerSnap, PointerSnapIncrement, PointerStart, PointerStop, PointerStyle, PointerType, PointerValue and PointerWidth

Data Type

Integer


PointerInner
POINTERINNER PROPERTY

POINTEROUTER PROPERTY

Description

Determines the inner and outer extents of the pointer currently selected by PointerID.  If Orientation is horizontal these values are measured from top to bottom.  Otherwise they are measured from left to right.  These properties are based on a unitless scale and typically have values between 0.0 and 1.0.

Usage

[form.]control.PointerInner[ = single ]

[form.]control.PointerOuter[ = single ]

Remarks

The inner value should be less than the outer value.  See the example for more information on setting pointer properties.

Related Properties

PointerColor, PointerDigital, PointerDigitalColor, PointerDigitalDecimals, PointerDigitalFontID, PointerDigitalX, PointerDigitalY, PointerID, PointerMouseControl, PointerPicture, Pointers, PointerScaleID, PointerShape, PointerSnap, PointerSnapIncrement, PointerStart, PointerStop, PointerStyle, PointerType, PointerValue and PointerWidth

Data Type

Single


PointerMouseControl
POINTERMOUSECONTROL PROPERTY

Description

Enables and disables mouse input for the pointer currently selected by PointerID.

Usage

[form.]control.PointerMouseControl[ = {TRUE|FALSE} ]

Setting

The PointerMouseControl property settings are:

Setting 	Description

TRUE	Allows the control's value to be modified with mouse input.

FALSE	Disables mouse input to the control.

Remarks

See the example for more information on setting pointer properties.

Related Properties

PointerColor, PointerDigital, PointerDigitalColor, PointerDigitalDecimals, PointerDigitalFontID, PointerDigitalX, PointerDigitalY, PointerID, PointerInner, PointerOuter, PointerPicture, Pointers, PointerScaleID, PointerShape, PointerSnap, PointerSnapIncrement, PointerStart, PointerStop, PointerStyle, PointerType, PointerValue and PointerWidth

Data Type

Integer (Boolean)


PointerPicture
POINTERPICTURE PROPERTY

Description

Determines the graphic to be displayed as the pointer for the pointer currently selected by PointerID.  The graphic is stretched to fit the pointer area as defined by PointerInner, PointerOuter, PointerStart, PointerStop and PointerWidth.

Usage

[form.]control.PointerPicture[ = picture ]

Setting

The PointerPicture property settings are:

Setting	Description

(none)	No picture is displayed.

(bitmap)	At design time, specify the bitmap filename to be displayed.  At run-time, specify the bitmap using Visual Basic's LoadPicture (or comparable) function.

Remarks

When setting the picture at design-time, the picture(s) will be saved with the form and will be compiled into the executable.  See the example for more information on setting pointer properties.

Related Properties

PointerColor, PointerDigital, PointerDigitalColor, PointerDigitalDecimals, PointerDigitalFontID, PointerDigitalX, PointerDigitalY, PointerID, PointerInner, PointerMouseControl, PointerOuter, Pointers, PointerScaleID, PointerShape, PointerSnap, PointerSnapIncrement, PointerStart, PointerStop, PointerStyle, PointerType, PointerValue and PointerWidth

Data Type

Picture


PointerScaleID
POINTERSCALEID PROPERTY

Description

Determines the scale (designated by ScaleID) on which the pointer currently selected by PointerID is based.  The PointerStart and PointerStop properties must fall within the range defined by ScaleMax and ScaleMin.

Usage

[form.]control.PointerScaleID[ = integer ]

Remarks

See the example for more information on setting pointer properties.

Related Properties

PointerColor, PointerDigital, PointerDigitalColor, PointerDigitalDecimals, PointerDigitalFontID, PointerDigitalX, PointerDigitalY, PointerID, PointerInner, PointerMouseControl, PointerOuter, PointerPicture, Pointers, PointerShape, PointerSnap, PointerSnapIncrement, PointerStart, PointerStop, PointerStyle, PointerType, PointerValue and PointerWidth

Data Type

Integer


PointerShape
POINTERSHAPE PROPERTY

Description

Determines the shape of a user defined pointer.  This property only applies when PointerStyle is set to "User Defined" and defines a polygon made from a list of x,y coordinate pairs.  The shape is defined using a coordinate system in which (0,0) is located at the upper, left corner of the control.

Usage

[form.]control.PointerShape[ = string ]

Example

CNTRL1.PointerShape = "625,500,   625,125,   750,125,   500,0,   250,125,   375,125,   375,500"

The following image displays this shape polygon defined in a coordinate system with origin at (0,0) and (1000,1000) extents.

Related Properties

PointerColor, PointerDigital, PointerDigitalColor, PointerDigitalDecimals, PointerDigitalFontID, PointerDigitalX, PointerDigitalY, PointerID, PointerInner, PointerMouseControl, PointerOuter, PointerPicture, Pointers, PointerScaleID, PointerSnap, PointerSnapIncrement, PointerStart, PointerStop, PointerStyle, PointerType, PointerValue and PointerWidth

Data Type

String


PointerSnap
POINTERSNAP PROPERTY

Description

Enables or disables the control's ability to display any value within the range defined by ScaleMin and ScaleMax (through PointerScaleID) for the pointer currently selected by PointerID.  For example, if the scale ranges from 0 to 10, PointerSnap=TRUE and PointerSnapIncrement=2, then PointerValue can only have the values 0, 2, 4, 6, 8 and 10.

Usage

[form.]control.PointerSnap[ = {TRUE|FALSE} ]

Setting

The property settings are:

Setting 	Description

TRUE	Limits PointerValue to the increments defined by PointerSnapIncrement.

FALSE	Enables PointerValue to have any floating point value within the range defined by the scale (default).

Remarks

See the example for more information on setting pointer properties.

Related Properties

PointerColor, PointerDigital, PointerDigitalColor, PointerDigitalDecimals, PointerDigitalFontID, PointerDigitalX, PointerDigitalY, PointerID, PointerInner, PointerMouseControl, PointerOuter, PointerPicture, Pointers, PointerScaleID, PointerShape, PointerSnapIncrement, PointerStart, PointerStop, PointerStyle, PointerType, PointerValue and PointerWidth

Data Type

Integer (Boolean)


PointerSnapIncrement
POINTERSNAPINCREMENT PROPERTY

Description

Determines the allowable incremental change of PointerValue (if PointerSnap=TRUE) for the pointer currently selected by PointerID .  For example, a control where the pointer scale is 0 to 10 and PointerSnapIncrement=2 will only allow PointerValues of 0, 2, 4, 6, 8, and 10.

Usage

[form.]control.PointerSnapIncrement[ = integer ]

Remarks

This property is ignored if PointerSnap=FALSE.  See the example for more information on setting pointer properties.

Related Properties

PointerColor, PointerDigital, PointerDigitalColor, PointerDigitalDecimals, PointerDigitalFontID, PointerDigitalX, PointerDigitalY, PointerID, PointerInner, PointerMouseControl, PointerOuter, PointerPicture, Pointers, PointerScaleID, PointerShape, PointerSnap, PointerStart, PointerStop, PointerStyle, PointerType, PointerValue and PointerWidth

Data Type

Integer


PointerStart
POINTERSTART PROPERTY

POINTERSTOP PROPERTY

Description

Determines the start and stop values (if PointerType is set to "Range") for the pointer currently selected by PointerID.  These values are numbers between ScaleMin and ScaleMax for the scale referenced by PointerScaleID.

Usage

[form.]control.PointerStart[ = single ]

[form.]control.PointerStop[ = single ]

Remarks

The start value should be less than the stop value.  See the example for more information on setting pointer properties.

Related Properties

PointerColor, PointerDigital, PointerDigitalColor, PointerDigitalDecimals, PointerDigitalFontID, PointerDigitalX, PointerDigitalY, PointerID, PointerInner, PointerMouseControl, PointerOuter, PointerPicture, Pointers, PointerScaleID, PointerShape, PointerSnap, PointerSnapIncrement, PointerStyle, PointerType, PointerValue and PointerWidth

Data Type

Single


PointerStyle
POINTERSTYLE PROPERTY

Description

Determines the style of the pointer currently selected by PointerID.

Usage

[form.]control.PointerStyle[ = integer ]

Setting

The PointerStyle property settings are:

Setting	Description

0	None

1	Rectangle

2	Circle

3	Triangle

4	Pointer

5	User-Defined through PointerShape

Remarks

See the example for more information on setting pointer properties.

Related Properties

PointerColor, PointerDigital, PointerDigitalColor, PointerDigitalDecimals, PointerDigitalFontID, PointerDigitalX, PointerDigitalY, PointerID, PointerInner, PointerMouseControl, PointerOuter, PointerPicture, Pointers, PointerScaleID, PointerShape, PointerSnap, PointerSnapIncrement, PointerStart, PointerStop, PointerType, PointerValue and PointerWidth

Data Type

Integer (Enumerated)


PointerType
POINTERTYPE PROPERTY

Description

Determines the type of the pointer currently selected by PointerID.  In some cases, the "value" setting is used.  If needed, however, ranges may be shown by setting this property to "range" and using PointerStart and PointerStop to define the area.

Usage

[form.]control.PointerType[ = integer ]

Setting

The PointerType property settings are:

Setting	Description

0	Value

1	Range

Remarks

See the example for more information on setting pointer properties.

Related Properties

PointerColor, PointerDigital, PointerDigitalColor, PointerDigitalDecimals, PointerDigitalFontID, PointerDigitalX, PointerDigitalY, PointerID, PointerInner, PointerMouseControl, PointerOuter, PointerPicture, Pointers, PointerScaleID, PointerShape, PointerSnap, PointerSnapIncrement, PointerStart, PointerStop, PointerStyle, PointerValue and PointerWidth

Data Type

Integer (Enumerated)


PointerValue
POINTERVALUE PROPERTY

Description

Sets or returns the value (if PointerType is set to "Value") of the pointer currently selected by PointerID.  The PointerValue is a number between ScaleMin and ScaleMax as defined by PointerScaleID.

Usage

[form.]control.PointerValue[ = single ]

Remarks

See the example for more information on setting pointer properties.

Related Properties

PointerColor, PointerDigital, PointerDigitalColor, PointerDigitalDecimals, PointerDigitalFontID, PointerDigitalX, PointerDigitalY, PointerID, PointerInner, PointerMouseControl, PointerOuter, PointerPicture, Pointers, PointerScaleID, PointerShape, PointerSnap, PointerSnapIncrement, PointerStart, PointerStop, PointerStyle, PointerType and PointerWidth

Data Type

Single


PointerWidth
POINTERWIDTH PROPERTY

Description

Determines the width (if PointerType is set to "Value") of the pointer currently selected by PointerID.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.PointerWidth[ = single ]

Remarks

See the example for more information on setting pointer properties.

Related Properties

PointerColor, PointerDigital, PointerDigitalColor, PointerDigitalDecimals, PointerDigitalFontID, PointerDigitalX, PointerDigitalY, PointerID, PointerInner, PointerMouseControl, PointerOuter, PointerPicture, Pointers, PointerScaleID, PointerShape, PointerSnap, PointerSnapIncrement, PointerStart, PointerStop, PointerStyle, PointerType and PointerValue

Data Type

Single


Pointers
POINTERS PROPERTY

Description

Determines the number of pointers displayed on the control.  This property must be set before all other pointer properties are entered (see example).  The PointerID property is used to select the pointer to which pointer properties apply.

Usage

[form.]control.Pointers[ = integer ]

Remarks

See the example for more information on setting pointer properties.

Related Properties

PointerColor, PointerDigital, PointerDigitalColor, PointerDigitalDecimals, PointerDigitalFontID, PointerDigitalX, PointerDigitalY, PointerID, PointerInner, PointerMouseControl, PointerOuter, PointerPicture, PointerScaleID, PointerShape, PointerSnap, PointerSnapIncrement, PointerStart, PointerStop, PointerStyle, PointerType, PointerValue and PointerWidth

Data Type

Integer


PRODUCT SUPPORT

Product support for all products is available to registered users by contacting Global Majic Software, Inc. at any of the following locations:

CompuServe:	73261,3642

AmericaOnline:	GMagic

Internet:	gms@globalmajic.com

Snail Mail:	Global Majic Software, Inc.
P.O. Box 322
Madison, Alabama  35758

TEL/FAX:	(205) 864-0708

Home Page:	http://www.globalmajic.com

Product Support is free for a period of three (3) months from the date of registration.

If you have a shareware-related problem or dispute that you are unable to resolve with Global Majic Software, Inc., please feel free to contact the Association of Shareware Professionals.


Properties
Properties:

AutoRedraw	Fonts	PointerValue
BackColor	FontSize	PointerWidth
BackPicture	FontStrike	Redraw
BandColor	FontUnder	ScaleDirection
BandID	Height	ScaleID
BandInner	Index	ScaleMax
BandOuter	Left	ScaleMin
BandPicture	MousePointer	ScalePositionStart
Bands	Name	ScalePositionStop
BandScaleID	Orientation	Scales
BandShape	PointerColor	TabIndex
BandStart	PointerDigital	TabStop
BandStop	PointerDigitalColor	Tag
BandStyle	PointerDigitalDecimals	TicColor
BevelInner	PointerDigitalFontID	TicDelta
BevelOuter	PointerDigitalX	TicFontID
BevelWidth	PointerDigitalY	TicID
BorderWidth	PointerID	TicInner
Caption	PointerInner	TicLabelOn
CaptionColor	PointerMouseControl	TicLabelPosition
CaptionFontID	PointerOuter	TicOuter
CaptionID	PointerPicture	Tics
Captions	Pointers	TicScaleID
CaptionX	PointerScaleID	TicShape
CaptionY	PointerShape	TicStart
Enabled	PointerSnap	TicStop
FontBold	PointerSnapIncrement	TicStyle
FontDialog	PointerStart	TicWidth
FontID	PointerStop	Top
FontItalic	PointerStyle	Visible
FontName	PointerType	Width


Redraw
REDRAW PROPERTY

Description

Issues a redraw command to the control if AutoRedraw=FALSE.

Usage

[form.]control.Redraw[ = {TRUE|FALSE} ]

Setting

The property settings are:

Setting 	Description

TRUE	Issue a redraw command.

FALSE	Does not issue redraw command.

Remarks

If AutoRedraw=TRUE, then the control will be redrawn after any property is changed.  If several properties are being changed rapidly, then the control may seem slow and/or may not update when desired.  In this case, it may be wise to set AutoRedraw=FALSE and issue a Redraw command after all the desired property changes are made.

Related Property

AutoRedraw

Data Type

Integer (Boolean)


ScaleDirection
SCALEDIRECTION PROPERTY

Description

Determines the direction of increasing values for the control (from ScaleMin to ScaleMax).

Usage

[form.]control.ScaleDirection[ = integer ]

Setting

The ScaleDirection property settings are:

Setting 	Description

0	Forward

1	Backward

Remarks

See the example for more information on setting scale properties.

Related Properties

ScaleID, ScaleMax, ScaleMin, ScalePositionStart, ScalePositionStop and Scales

Data Type

Integer (Enumerated)


ScaleID
SCALEID PROPERTY

Description

Assigns a unique ID to each scale. This property must be set before any other scale property (except Scales).  The total number of scales is determined by the Scales property and ScaleID has valid values from 0 to Scales-1.

Usage

[form.]control.ScaleID[ = integer ]

Remarks

Scales are used to define the start and stop positions and its minimum and maximum displayed values.  See the example for more information on setting scale properties.

Related Properties

ScaleDirection, ScaleMax, ScaleMin, ScalePositionStart, ScalePositionStop and Scales

Data Type

Integer


ScaleMax
SCALEMAX PROPERTY

SCALEMIN PROPERTY

Description

Determines the maximum and minimum values available in the scale.  If ScaleDirection is set to forward, then ScaleMin is located at ScalePositionStart and ScaleMax is located at ScalePositionStop.  The converse is true if ScaleDirection is set to backward.

Usage

[form.]control.ScaleMax[ = single ]

[form.]control.ScaleMin[ = single ]

Remarks

The ScaleMax should be greater than the ScaleMin.  See the example for more information on setting scale properties.

Related Properties

ScaleDirection, ScaleID, ScalePositionStart, ScalePositionStop and Scales

Data Type

Single


ScalePositionStart
SCALEPOSITIONSTART PROPERTY

SCALEPOSITIONSTOP PROPERTY

Description

Determines the angular extents of the control.  When ScaleDirection is set to 0 (Forward), the ScalePositionStart corresponds to ScaleMin and when ScaleDirection is set to 1 (Backward), the ScalePositionStart corresponds to ScaleMax.  The ScalePositionStop property behaves in a similar fashion.

Usage

[form.]control.ScalePositionStart[ = single ]

[form.]control.ScalePositionStop[ = single ]

Remarks

See the example for more information on setting scale properties.

Related Properties

ScaleDirection, ScaleID, ScaleMax, ScaleMin and Scales

Data Type

Single


Scales
SCALES PROPERTY

Description

Determines the number of scales used to define the control.  This property must be set before all other scale properties are entered (see example).  The ScaleID property is used to select the scale to which scale properties apply.

Usage

[form.]control.Scales[ = integer ]

Remarks

See the example for more information on setting scale properties.

Related Properties

ScaleDirection, ScaleID, ScaleMax, ScaleMin, ScalePositionStart and ScalePositionStop

Data Type

Integer


Slide Event


TicColor
TICCOLOR PROPERTY

Description

Determines the color for the tic set currently selected by TicID.

Usage

[form.]control.TicColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.  See the example for more information on setting tic properties.

Related Properties

TicDelta, TicFontID, TicID, TicInner, TicLabelOn, TicLabelPosition, TicOuter, Tics, TicScaleID, TicShape, TicStart, TicStop, TicStyle and TicWidth

Data Type

Long


TicDelta
TICDELTA PROPERTY

Description

Determines the interval value between tic marks for the tic set currently selected by TicID.

Usage

[form.]control.TicDelta[ = single ]

Remarks

See the example for more information on setting tic properties.

Related Properties

TicColor, TicFontID, TicID, TicInner, TicLabelOn, TicLabelPosition, TicOuter, Tics, TicScaleID, TicShape, TicStart, TicStop, TicStyle and TicWidth

Data Type

Single


TicFontID
TICFONTID PROPERTY

Description

Determines which font (designated by FontID) is used for the labels of the tic set currently selected by TicID.

Usage

[form.]control.TicFontID[ = integer ]

Remarks

See the example for more information on setting tic properties.

Related Properties

TicColor, TicDelta, TicID, TicInner, TicLabelOn, TicLabelPosition, TicOuter, Tics, TicScaleID, TicShape, TicStart, TicStop, TicStyle and TicWidth

Data Type

Integer


TicID
TICID PROPERTY

Description

Assigns a unique ID to each tic set.  This property must be set before any other tic property (except Tics).  The total number of tic sets is determined by the Tics property and TicID has valid values from 0 to Tics-1.

Usage

[form.]control.TicID[ = integer ]

Remarks

The number of Tics must be set before this property can be set.  See the example for more information on setting tic properties.

Related Properties

TicColor, TicDelta, TicFontID, TicInner, TicLabelOn, TicLabelPosition, TicOuter, Tics, TicScaleID, TicShape, TicStart, TicStop, TicStyle and TicWidth

Data Type

Integer


TicInner
TICINNER PROPERTY

TICOUTER PROPERTY

Description

Determines the inner and outer extents of the tic set currently selected by TicID.  These properties are based on a unitless scale and typically have values between 0.0 and 1.0.

Usage

[form.]control.TicInner[ = single ]

[form.]control.TicOuter[ = single ]

Remarks

The inner value should be less than the outer value.  See the example for more information on setting tic properties.

Related Properties

TicColor, TicDelta, TicFontID, TicID, TicLabelOn, TicLabelPosition, Tics, TicScaleID, TicShape, TicStart, TicStop, TicStyle and TicWidth

Data Type

Single


TicLabelOn
TICLABELON PROPERTY

Description

Enables or disables labels at each tic mark for the tic set currently selected by TicID.  The position of the tic labels is defined by the TicLabelPosition property.

Usage

[form.]control.TicLabelOn[ = {TRUE|FALSE} ]

Setting

The TicLabelOn property settings are:

Setting 	Description

TRUE	Labels are displayed.

FALSE	Labels are NOT displayed.

Remarks

See the example for more information on setting tic properties.

Related Properties

TicColor, TicDelta, TicFontID, TicID, TicInner, TicLabelPosition, TicOuter, Tics, TicScaleID, TicShape, TicStart, TicStop, TicStyle and TicWidth

Data Type

Integer (Boolean)


TicLabelPosition
TICLABELPOSITION PROPERTY

Description

Sets or returns the position where labels are displayed for the tic set currently selected by TicID.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.TicLabelPosition[ = single ]

Remarks

See the example for more information on setting tic properties.

Related Properties

TicColor, TicDelta, TicFontID, TicID, TicInner, TicLabelOn, TicOuter, Tics, TicScaleID, TicShape, TicStart, TicStop, TicStyle and TicWidth

Data Type

Single


TicScaleID
TICSCALEID PROPERTY

Description

Determines the scale (designated by ScaleID) on which the tic set currently selected by TicID is based.  The TicStart and TicStop properties must fall within the range defined by ScaleMax and ScaleMin.

Usage

[form.]control.TicScaleID[ = integer ]

Remarks

See the example for more information on setting tic properties.

Related Properties

TicColor, TicDelta, TicFontID, TicID, TicInner, TicLabelOn, TicLabelPosition, TicOuter, Tics, TicShape, TicStart, TicStop, TicStyle and TicWidth

Data Type

Integer


TicShape
TICSHAPE PROPERTY

Description

Determines the shape of a user defined tic set.  This property only applies when TicStyle is set to "User Defined" and defines a polygon made from a list of x,y coordinate pairs.  The shape is defined using a coordinate system in which (0,0) is located at the upper, left corner of the control.

Usage

[form.]control.TicShape[ = string ]

Example

CNTRL1.TicShape = "625,500,   625,125,   750,125,   500,0,   250,125,   375,125,   375,500"

The following image displays this shape polygon defined in a coordinate system with origin at (0,0) and (1000,1000) extents.

Related Properties

TicColor, TicDelta, TicFontID, TicID, TicInner, TicLabelOn, TicLabelPosition, TicOuter, Tics, TicScaleID, TicStart, TicStop, TicStyle and TicWidth

Data Type

String


TicStart
TICSTART PROPERTY

TICSTOP PROPERTY

Description

Determines the values at which the tic marks start and stop for the tic set currently selected by TicID.  These values are numbers between ScaleMin and ScaleMax for the scale referenced by TicScaleID.

Usage

[form.]control.TicStart[ = single ]

[form.]control.TicStop[ = single ]

Remarks

The TicStart should be less than the TicStop.  See the example for more information on setting tic properties.

Related Properties

TicColor, TicDelta, TicFontID, TicID, TicInner, TicLabelOn, TicLabelPosition, TicOuter, Tics, TicScaleID, TicShape, TicStyle and TicWidth

Data Type

Single


TicStyle
TICSTYLE PROPERTY

Description

Determines the style of the tic set currently selected by TicID.

Usage

[form.]control.TicStyle[ = integer ]

Setting

The TicStyle property settings are:

Setting 	Description

0	Rectangle

1	Circle

2	Triangle

3	Diamond

4	User-Defined through TicShape

Remarks

See the example for more information on setting tic properties.

Related Properties

TicColor, TicDelta, TicFontID, TicID, TicInner, TicLabelOn, TicLabelPosition, TicOuter, Tics, TicScaleID, TicShape, TicStart, TicStop and TicWidth

Data Type

Integer (Enumerated)


TicWidth
TICWIDTH PROPERTY

Description

Determines the width of the tic marks for the tic set currently selected by TicID.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.TicWidth[ = single ]

Remarks

See the example for more information on setting tic properties.

Related Properties

TicColor, TicDelta, TicFontID, TicID, TicInner, TicLabelOn, TicLabelPosition, TicOuter, Tics, TicScaleID, TicShape, TicStart, TicStop and TicStyle

Data Type

Single


Tics
TICS PROPERTY

Description

Determines the number of tic sets displayed on the control.  This property must be set before all other tic properties are entered (see example).  The TicID property is used to select the tic set to which tic properties apply.

Usage

[form.]control.Tics[ = integer ]

Remarks

See the example for more information on setting tic properties.

Related Properties

TicColor, TicDelta, TicFontID, TicID, TicInner, TicLabelOn, TicLabelPosition, TicOuter, TicScaleID, TicShape, TicStart, TicStop, TicStyle and TicWidth

Data Type

Integer


UNITLESS SCALE

Description:

Properties which are used to specify position or length use a scale which is based on the size of the control (instead of twips or pixels).  For a control which is square, the coordinate system used is depicted with its origin at the center of the control and its width and height  measured from -1 to 1.

For controls which are not square, the origin is still at the center of the control.  The unit scale used, however, is based on the width or height whichever is smaller so that a unit square fits completely within the control as shown in the two controls below.

NOTE:	For some variables (i.e., radii, width, etc.), the valid range of the unitless scale is from 0 to 1 (negative values have no meaning)


font properties
FontBold, FontItalic, FontName, FontSize, FontStrike and FontUnder